-----------------------------------
-- Area: Chateau d'Oraguille
-- NPC:  Rahal
-- Involved in Quests: The Holy Crest
-- @zone 233
-- @pos -28 0 -6
-----------------------------------
package.loaded["scripts/zones/Chateau_dOraguille/TextIDs"] = nil;
-----------------------------------

require("scripts/globals/keyitems");
require("scripts/zones/Chateau_dOraguille/TextIDs");

-----------------------------------
-- onTrade Action
-----------------------------------

function onTrade(player,npc,trade)
end;

-----------------------------------
-- onTrigger Action
-----------------------------------

function onTrigger(player,npc)

	if (player:getVar("TheHolyCrest_Event") == 5 and player:hasKeyItem(DRAGON_CURSE_REMEDY) == false) then
		player:startEvent(0x003c);
	elseif (player:getQuestStatus(SANDORIA,CHASING_QUOTAS) == QUEST_COMPLETED == true) and (player:getVar("KnightStalker_Event") == 0) then
		player:startEvent(0x0078);
	elseif (player:hasKeyItem(298) == false) and (player:getVar("KnightStalker_Event") == 2) then
		player:startEvent(0x0077);
	elseif (player:hasKeyItem(298) == true) and (player:getVar("KnightStalker_Event") == 2) then
		player:startEvent(0x004e);
	elseif (player:getVar("KnightStalker_Event") == 3) then
		player:startEvent(0x0045);
	elseif (player:getVar("KnightStalker_Event") == 4) then
		player:startEvent(0x006e); -- send to Temple of Uggalepih I guess to get the nm to spawn.  Set var to 5
	end
end;

-----------------------------------
-- onEventUpdate
-----------------------------------

function onEventUpdate(player,csid,option)
--printf("CSID: %u",csid);
--printf("RESULT: %u",option);
end;

-----------------------------------
-- onEventFinish
-----------------------------------

function onEventFinish(player,csid,option)
--printf("CSID: %u",csid);
--printf("RESULT: %u",option);

	if (csid == 0x003c) then
		player:addKeyItem(DRAGON_CURSE_REMEDY);
		player:messageSpecial(KEYITEM_OBTAINED, DRAGON_CURSE_REMEDY);
	elseif (csid == 0x0078 and option == 1) then
		player:addQuest(SANDORIA,KNIGHT_STALKER);
		player:setVar("KnightStalker_Event",1);
	elseif (csid == 0x0078 and option == 0) then
		player:setVar("KnightStalker_Event",0);
	elseif (csid == 0x004e) then
		player:setVar("KnightStalker_Event",3);
	elseif (csid == 0x006e) then
		player:setVar("KnightStalker_Event",5);
	end
	
end;
--563 -- So, you are <Character>.  The guards tell me you were the one to deliver this letter... What have we here? This carrion worm scrawl... I have seen its like before... The person who entrusted you with this message... Ahaha... I should not say such things of our dear prince... Though I am correct, am I not? This letter from the heir to the throne of San d'Oria, the Prince Royal, Trion I d'Oraguille! Bacherume: !? Guilerme: It cannot be... That awful penmanship... Halver: I am mistaken, you say? This letter was written by one Sage Raillefal? But this chocobo scratch could only be the work of Prince Trion... I shall prove it to you.  I have long attended to the price and encountered many opportunities to decipher his...unique...style of writing... A moment, if you will... ... ??? Astril Condes...? Astrul Wand...? Uar...? This is truly atrocious... I have no douby this letter is from Prince Trion!  But I am afraid I cannot make out the meaning... Rahal: Monarlais Halver.  You look troubled.  Perhaps I may be of assitance?  Halver: ! General Rahal.  Your offer of aid is most generous, however... Rahal: No need to be so humble.  You have one of Trion's indecipherable letters, do you not? Halver: How could you know...? Rahal: I have my sources... Some days ago, Prince Trion abandoned the signing of some official documents... He placed a mannequin in his chair, and fled the chateau in the dead of night... Halver: At least it was not a forest hare this time... Rahal: That is when I had Travialce here shadow the prince's movements.  He has had training in the arts of the ninja. Please continue the tale, Travialce.  Travialce: Sir.  Prince Trion first made his way to Mhaura and passed himself off as an adventurer.  Halver: Dear Altana... A member of the royal family traipsing about as an "adventurer"... The court will be mortified. Travialce: From there, His Highness boarded a ferry bound for the shores of Aht Urhgan... Halver: Aht Urghan!? And then? Travialce: I quickly slipped aboard as well, and guarded the royal person from the shadows. The ferry safely arrived in Al Zahbi with prince none the wiser of my presence. After entering the city, Prince Trion headed straight to a mercenary company and apparently signed some sort of contract.  Halver: A contract!? Surely not with his own name? This could escalate into an international crisis! Travialce: There is nothing to fear on that count.  His Highness travels the Empire under the assumed name of "Raillefal." Halver: So no one in Al Zahbi is aware of his true identity? Travialce: I wouldn't say that, milord... The prince is wearing a suit of gilded gold plate and is not subtle in his information gathering. Halver: Great Goddess... The he is not disguised at all? Travialce: No, milord.  Come to think of it, I have seen this adventurer's face in the very same mercenary company... This letter must be the very same document I witnessed in the prince's hand at the Shararat Teahouse. Rahal: I am wounded that Prince Trion does not have more trust in us, his loyal subjects... And I do wish he would act with a little more discretion.  That is a matter we shall discuss anon... First, we must learn the reason for Prince Trion's seemingly
--564 - (This CS comes before the one listed above to initialize it) Halver: <Character>.  As you are likely aware, all matters concerning the royal family pass through me. Show him Raillefal's letter? Y/N Dialogue.   
--9 - Halver: Oh, <Character>, we have been waiting for your arrival.  His Highness is about to give an address.  Please take your position. -- Destin grants you Rank 10 and gives you the San d'Orian Flag in this cut scene. 
--10 - Destin: I see you have all arrived... The Orcs carrying the Lightbringer have been spotted entering the Qu'Bia Arena! Destin: I order all our soldiers to Fei'Yin.  And tell them that the fate of San d'Oria rides on their bravery!
--100 - Destin: Call forth all members of the court.  Has the adventurer <Character> arrived?  Ah, <Character>.  The deciphering of the stone tablet you found has been completed.  There is one line that has us especially intrigued... "Light will befall the great Vana'dieal only when the true heir of d'Oraguille raises Lightbringer to the heavens." ...skipping... Destin: And <Character>.  Report to Rahal for your orders.  I trust that your involvement in this investigation can only benefit San d'Oria.  Set forth and search the darkness for the light that will guide us to a brighter future.  The dawn of a new era in San d'Oria is upon us.
--60 - Rahal: Oh, it's you.  Fear not: the precious dragon is not in danger.  However, we have learned that Cyranuce is somewhere in the Ghelsba Outpost. If he is not to be saved, a dragon curse remedy is necessary.  Drinking this may help separate him from the dragon that is feeding on his soul.  Here, you take one as well.  I plan on travelling there as soon as I have made my preparations.  There is no time to lose. With every passing moment, his soul is further devoured.
--122 - Rahal: Oh, it's you.  Fear not: the precious dragon is not in danger.  However, we have learned that Cyranuce is somewhere in the Ghelsba Outpost. I plan on travelling there as soon as I have made my preparations.  There is no time to lose. With every passing moment, his soul is further devoured.
--106 - Rahal: <Character>, I want you to investigate the Temple of Uggalepih.  Take this Crystal dowser with you on your journey. Use it when searching the area.  Any response from the crystal dowser may be a clue to the location of Lightbringer. The fate of the kingdom is riding on your shoulders.  Don't let us down! 
--107 - Rahal: <Character>, I want you to investigate the Temple of Uggalepih.  Use it when searching the area.  Any response from the crystal dowser may be a clue to the location of Lightbringer. The fate of the kingdom is riding on your shoulders.  Don't let us down!
--105 - Rahal: So you were unable to locate Lightbringer... Well, to our surprise, Curilla's expeditionary forces returned yesterday with the sword.
--42 - Rahal: To tell you the truth, I had my doubys about the Treasure of the Dragon King, but Curilla managed to find it.  Still, I am vexed by this--why was the sword on that island?
--37 - Rahal: Rochefogne was slain? If it was not one of the Royal Knights, then... No, it is not possible...
--38 - Rahal: The Rites of Succession... At last our new leader will be chosen...
--39 - Rahal: In the years I have served as a Royal Knight,  I have been sent on many missions.  However, this expedition to Fei'Yin means much more to me than most have.  I decided this battle to the knights I have lost.  I will not let the blood they shed go in vain.  We will defeat our enemies!
--40 - <Character>.  I never thought I would live to see the day when the Royal Knights would fight alongside adventurers such as yourself. Your valiant efforts on the battlefield turn the tide in favor of San d'Oria. To protect the prince while grappling with the enemy... I feel that even I may not have been able to accomplish such a feat. I applaud your skill. 
--41 - Now that Lightbringer has been sealed in the Dragon King's tomb, the Orc's activity has begun to dwindle. We will shortly be sending soldiers to rid the land of the remaining hordes. As much as your presence on teh front line would be welcomed, we cannot run to you to solve all our national crises. However, I expect that one day the Kingdom may again require your services.  But until that day, may the light of the Goddess shine down upon you!
--529 - Rahal: I am Rahal S. Lebrart, a general of the Royal Knights of San d'Oria. The Royal Knights are the sword of San d'Oria. Swiftly we strike, and wipe nests of fiends off the face of Vana'diel. We are a band of warriors, and some of us have been known to be...overzealous. But there's not a dark heart in the bunch of us. You have my word! 
--544 - I understand his lordship's fervor, but the risk is too great for us.  I believe this requires utmost caution. 
--77 - Rahal: Commendable work.  With our mortal enemy vanquished, we must now restore glory to San d'Oria.  You cooperation is expected!
--121 - Rahal: Oh, it's you.  How goes it with your wyvern? Y/N Dialogue ("We are steadfast companions. / Not as well as I would like"). Excellent.  I never doubted your success.  On a more serious note, the Royal Knights have recently become the target of a number of attacks by an unknown assailant.  It is humiliating for the defenders of the Kingdom to be in this position in the first place, but the situation is more grave than a simple loss of face. There is a rumor circulating among the knights that these attacks are being carried out by Erpalacion, the last dragoon. It has the men unnerved. As I am sure you are aware, Erpalacion was the general of the knights during the rule of King Ranperre, and the only dragoon in existance at the time. Erpalacion has joined the ranks of the fallen, so there is no possible way he could be responsible for these attacks. But the fears of the knights have some validity.  There is a tale told of Erpalcion... skipping the main story part... I have a task for you.  I wish you to gather information on the true culprit behind these attacks.  Considering your profession , surely you wish to dispel these rumors that sully the honor of your fellow dragoon.  Y/N Dialogue (What say you? Leave it to me. / Other duties call me.) -- This is DRG AF3
--120 - I wish to assign you the task of gathering information on the attacks against the Royal Knights.  The true culprit must be brought to justice.  What say you?  Y/N Dialogue (Leave it to me. / Other duties call me.)
-- 120 is a shorter version of 121
--119 - The people at the Brugaire Consortium may have information concerning the brais of the last dragoon.  I doubt they would agree with me, but the merchants there owe me a favor.
--78 - A challenge to the Royal Knights! This handwriting... That's what this is all about! ...You must talk with Sir Balasiel on this matter.
--69 - You must take this matter to Sir Balasiel. I cannot speak of it... Or rather, I do not wish to speak of it...
--110 - Ancolain was a powerful warrior, but he lacked self-control.  I bode my time until his return to the ranks... But never did I imagine things would come to this. So you learned from Sir Balasiel that your wyvern can sense Ancolain's location...based on the shadow of the thoughts that will still cling to the letter.  I only hope that he hasn't dabbled in any of the black arts that are practiced by those savages to the south.
--118 - The misunderstanding that long surrounded King Ranperre and the last dragoon has now been cleared--and iwth it, the chaos that threatened the stability of the knights.  You have my thanks.
--534 - Halver: Why, welcome back, <Character>.  I'm sure the lords of both knightly orders would like to hear you report right away. So, the seal of Fei'Yin is broken... We must face the prospect of nether beasts laying siege this land, as did they two decades past. Curilla: Peculiar have been their actions of late, and now this... Wem ust act swiftly. Rahal: Yes, but our obligation to the alliance denies unilateral deployment to lands abroad.  Were not the Northlands reduced to ashes in wars of old? Curilla: This does not bode well.  Vigilantly we watched that land, and still this comes to pass! Rahal: Yes, I am afraid you are right.  Our eyes were on the comings and goings of Orcs, ignorant of the greater threat. Halver: And how should we explain this to our allies? San d'Oria cannot become the laughingstock of the civilized world! Trion: Are such words even necessary? Halver: Prince Trion! Trion: Before they hit us, let us hit them.  A bold strike would hamper their momentum. Halver: But, my prince! By sending troops into the Northlands, we explose ourselves to a certain degree of diplomatic liability... Trion: Liability!? Fools! Are you all blind to this peril? The enemy approaches while we bicker! Rahal: Yes, Prince Trion... However, we should involve the king and Prince Pieuje in this decision. Trion: Curilla, do you share the opinion of Halver and Rahal? Curilla: Yes, my prince.  We know not the enemy's numbers. I believe the peril of rushing headlong into battle would be too great. Indeed, word of the Shadow Lord's return was brought to us by adventurers, and is as yet unconfirmed. And if it did happen to be true, all the knights of San d'Oria would not be enough. We much confer with the alliance, my prince! Trion: Hmph. So be it! All this talk of diplomatic liability... There are people we must defend, and an enemy we must defeat.  Naught matters but that simple truth! In such times, where could Pieuje be going? Curilla: Prince Trion... Halver: Hmmm... We must make haste and decide upon policy for our kingdom.  At any rate, the exploration of Fei'Yin is complete. Much time may be needed before we can reach a conculsion.  Rest and prepare for other expeditions.  And thank you for your dutiful service. 
--559 - <Character's> badge flashes brightly.  Rahal: A badge of that despicable mercenary outfit in here? You show a surprising lack of discretion, adventurer. Or so I should like to say to even my own knights.  There are those within our ranks that have felt the lure of mercenary wages. I would hope their oaths as protectors of the Kingdom were taken more seriously.  No matter--I am certain this temptation will strike but once, then leave our knights stronger for the experience.  
--121 - Rahal: Oh, it's you.  How goes it with your wyvern? (We are steadfast companions / Not as well as I would like)
--120
