-----------------------------------
-- Area: Kuftal Tunnel
-- @zone 174
-- NPC:  Treasure Coffer
-- @pos 103 -11 211 174
-----------------------------------
package.loaded["scripts/zones/Kuftal_Tunnel/TextIDs"] = nil;
-----------------------------------

require("scripts/globals/settings");
require("scripts/globals/keyitems");
require("scripts/globals/Treasure");
require("scripts/globals/quests");
require("scripts/zones/Kuftal_Tunnel/TextIDs");

TreasureType = "Coffer";
TreasureLvL = 53;
TreasureMinLvL = 43;

-----------------------------------
-- onTrade Action
-----------------------------------

function onTrade(player,npc,trade)

	key = trade:hasItemQty(1051,1); 		-- Treasure Key
	sk = trade:hasItemQty(1115,1);			-- Skeleton Key
	lk = trade:hasItemQty(1023,1);			-- Living Key
	ttk = trade:hasItemQty(1022,1);			-- Thief's Tools
	questItemNeeded = 0;
	
	-- Player traded a key.
	if((key or sk or lk or ttk) and trade:getItemCount() == 1) then 

		-- IMPORTANT ITEM: AF Keyitems, AF Items, & Map -----------
		mJob = player:getMainJob();
		zone = player:getZone();
		AFHandsActivated = player:getVar("BorghertzAlreadyActiveWithJob");
		oldGauntlets = player:hasKeyItem(OLD_GAUNTLETS);
		challenge_to_the_rk = player:hasKeyItem(CHALLENGE_TO_THE_ROYAL_KNIGHTS);

		if(AFHandsActivated == 12 and oldGauntlets == false) then 
			questItemNeeded = 1;
		-- IMPORTANT ITEM: DRAGOON AF QUEST
		elseif(player:getVar("needs_challenge_to_the_rk") == 1) and (challenge_to_the_rk == false) then 
			questItemNeeded = 2;			
		elseif(player:hasKeyItem(MAP_OF_THE_KUFTAL_TUNNEL) == false) then
			questItemNeeded = 3;
		elseif(player:getQuestStatus(OUTLANDS,TRUE_WILL) == QUEST_ACCEPTED and player:getVar("trueWillCS") == 2) then
			questItemNeeded = 4;
		end
		--------------------------------------
		
			pack = openChance(player,npc,trade,TreasureType,TreasureLvL,TreasureMinLvL,questItemNeeded);
		
		if(pack[2] ~= nil) then
			player:messageSpecial(pack[2]);
			success = pack[1];
		else
			success = pack[1];
		end
		
		if(success ~= -2) then
			diceroll = math.random(); -- 0 or 1
			player:tradeComplete();
			
			if(diceroll <= success) then
			-- Succeded to open the coffer
				player:messageSpecial(CHEST_UNLOCKED);				
				if(questItemNeeded == 1) then
					player:addKeyItem(OLD_GAUNTLETS);
					player:messageSpecial(KEYITEM_OBTAINED,OLD_GAUNTLETS); -- Old Gauntlets (KI)
				elseif(questItemNeeded == 2) then -- dragoon af key item
					player:addKeyItem(CHALLENGE_TO_THE_ROYAL_KNIGHTS);
					player:messageSpecial(KEYITEM_OBTAINED,CHALLENGE_TO_THE_ROYAL_KNIGHTS);
				elseif(questItemNeeded == 3) then
					player:addKeyItem(MAP_OF_THE_KUFTAL_TUNNEL);
					player:messageSpecial(KEYITEM_OBTAINED,MAP_OF_THE_KUFTAL_TUNNEL); -- Map of the Kuftal 	Tunnel (KI)
				elseif(questItemNeeded == 4) then
					player:addKeyItem(LARGE_TRICK_BOX);
					player:messageSpecial(KEYITEM_OBTAINED,LARGE_TRICK_BOX);

				else
					player:setVar("["..zone.."]".."Treasure_"..TreasureType,os.time() + math.random(CHEST_MIN_ILLUSION_TIME,CHEST_MAX_ILLUSION_TIME)); 
					
				local loot = chestLoot(zone,npc);
					-- print("loot array: "); -- debug
					-- print("[1]", loot[1]); -- debug
					-- print("[2]", loot[2]); -- debug
					
					if(loot[1]=="gil") then
						player:addGil(loot[2]);
						player:messageSpecial(GIL_OBTAINED,loot[2]);
					else
							-- Item
						player:addItem(loot[2]);
						player:messageSpecial(ITEM_OBTAINED,loot[2]);
					end
				end
			end
		end
	end
end;

-----------------------------------
-- onTrigger Action
-----------------------------------

function onTrigger(player,npc)
	player:setVar("needs_challenge_to_the_rk",1);
	player:messageSpecial(CHEST_LOCKED,1051);
end; 

-----------------------------------
-- onEventUpdate
-----------------------------------

function onEventUpdate(player,csid,option)
--printf("CSID: %u",csid);
--printf("RESULT: %u",option);
end;

-----------------------------------
-- onEventFinish
-----------------------------------

function onEventFinish(player,csid,option)
--printf("CSID: %u",csid);
--printf("RESULT: %u",option);
end;