-----------------------------------
-- Area: Port San d'Oria
-- NPC: Ceraulian
-- Involved in Quest: The Holy Crest, Chasing Quotas, Knight Stalker
-- @zone 232
-- @pos I-10
-----------------------------------

package.loaded["scripts/globals/quests"] = nil;
require("scripts/globals/quests");
package.loaded["scripts/zones/Port_San_dOria/TextIDs"] = nil;
require("scripts/zones/Port_San_dOria/TextIDs");
require("scripts/globals/settings");

-----------------------------------
-- onTrade Action
-----------------------------------

function onTrade(player,npc,trade)
	
	chasingQuotas = player:getQuestStatus(SANDORIA,CHASING_QUOTAS);
	realday = tonumber(os.date("%j")); -- %M for next minute, %j for next day
	
	if(chasingQuotas == QUEST_ACCEPTED) and (player:getVar("chasingQuotas_Event") == 1) then
		if(trade:hasItemQty(12494,1) and trade:getItemCount() == 1) then -- Trade Gold Hairpin
				player:startEvent(0x0011);
		elseif(trade:hasItemQty(12494,0) and trade:getItemCount() >= 1) then
				player:startEvent(0x000d);
		end
    end
	
end;

-----------------------------------
-- onTrigger Action
-----------------------------------

function onTrigger(player,npc)

	cprog = player:getVar("chasingQuotas_Event");
	cdate = player:getVar("chasingQuotas_date");
	realday = tonumber(os.date("%j")); -- %M for next minute, %j for next day
	
	if(player:getMainJob() == 14 and player:getMainLvl() >= AF2_QUEST_LEVEL and player:getQuestStatus(SANDORIA,CHASING_QUOTAS) == QUEST_AVAILABLE and player:getQuestStatus(SANDORIA,A_CRAFTSMAN_S_WORK) == QUEST_COMPLETED) then
		if(player:getVar("chasingQuotas_Event") == 0) then
			player:startEvent(0x0012);
		end	
	elseif(player:getVar("chasingQuotas_Event") == 2) and (cdate == realday) then
		player:startEvent(0x0007);
	elseif(player:getVar("chasingQuotas_Event") == 2) and (cdate ~= realday) then
		player:startEvent(0x0003);
	elseif(player:getVar("chasingQuotas_Event") == 4) then
		player:startEvent(0x0006);
	elseif(player:getVar("chasingQuotas_Event") == 8) and (player:getQuestStatus(SANDORIA,CHASING_QUOTAS) ~= QUEST_COMPLETED) then
		player:startEvent(0x000F);
	elseif(player:getMainLvl() >= 30) and (player:getQuestStatus(SANDORIA,THE_HOLY_CREST) == QUEST_AVAILABLE) and (player:	getMainJob() ~= 14) then
			player:startEvent(0x0018);
	elseif(player:getQuestStatus(SANDORIA,KNIGHT_STALKER) == QUEST_ACCEPTED) and (player:getVar("KnightStalker_Event") == 1) then
		player:startEvent(0x0013);	
	elseif(player:getVar("KnightStalker_Event") == 2) then
		player:startEvent(0x0017);
	else 
		player:startEvent(0x024b);
	end
	
	--	player:startEvent(0x000d);
	
end;

-----------------------------------
-- onEventUpdate
-----------------------------------

function onEventUpdate(player,csid,option)
--printf("CSID: %u",csid);
--printf("RESULT: %u",option);
end;

-----------------------------------
-- onEventFinish
-----------------------------------

function onEventFinish(player,csid,option)
--printf("CSID: %u",csid);
--printf("RESULT: %u",option);

	if(csid == 0x0018) then
		player:setVar("TheHolyCrest_Event",1);
	end
	if(csid == 0x0012) then
		if(option == 0) then -- declines quest giver
			player:setVar("chasingQuotas_Event",0);
		elseif(option == 1) then -- accepts quest giver
			player:setVar("chasingQuotas_Event",1);
			player:addQuest(SANDORIA,CHASING_QUOTAS);
		end
	elseif(csid == 0x0011) then
		player:tradeComplete();
		player:setVar("chasingQuotas_Event",2);
	elseif(csid == 0x0003) then
		player:setVar("chasingQuotas_date", os.date("%j")); -- %M for next minute, %j for next day
	elseif(csid == 0x0006) then
		player:setVar("chasingQuotas_Event",5); -- send em to Aredea in Bastok Markets
	elseif(csid == 0x0007) then
		player:setVar("chasingQuotas_Event",3);
	elseif(csid == 0x000F) then
		if(player:getFreeSlotsCount() == 0) then
			player:messageSpecial(ITEM_CANNOT_BE_OBTAINED,14227);-- DRG AF2
		else
			player:delKeyItem(RANCHURIOMES_LEGACY);
			player:addItem(14227); 
			player:messageSpecial(ITEM_OBTAINED,14227); -- DRG AF2
			player:addFame(SANDORIA,SAN_FAME*AF2_FAME);
			player:completeQuest(SANDORIA,CHASING_QUOTAS);
		end
	elseif(csid == 0x0013) then
		player:setVar("KnightStalker_Event",2);
		player:setVar("needs_challenge_to_the_royal_knights",1);
	end
end;

-- 24 -- 0x0018 -- Arminibit: You hear more and more talk of the Dragon King Ranperre these days.  They say that his top vassal was a dragoon.  I wonder what ever happened to all the dragoons... Ceraulian: I heard that to become a dragoon, you had to make a pact with a living wyvern.  However, thanks to the dragonslayers, there aren't that many dragons left.  Arminibit: The dragonslayers keep down the number of deadly dragons, but the number of dragoons can never go up.  It's a sad, sad cycle.  The say that King Ranperre's top vassal, the "Last of the Dragoons," collapsed after a battle with a dragonslayer." Ceraulin: I even heard a rumor that a new dragoon appeared in San d'Oria, but no one has ever seen him.  Some even say that it is that Cyranuce, locked up in the dungeons.  Aminibit: There's nothing to those rumors.  If he really was a dragoon, why would he be in Oubliette? Ceraulian: You have a point...
-- 18 -- 0x0012 -- Arminibit: Hey, have you reached your quota for this week? Ceraulin: N-no, not yet. I'm really gonna get it when the boss gets here.  What am I gonna do?  Arminibit: I know you have a lot to deal with at the moment, but I can't bail you out this time... Brugaire: How goes it? Making mountains of gil, you two?  You know I've got no use for those who don't bring in the cash.  Arminibit: Sure, Boss.  Here, this week's profits.  Brugaire: You're cutting it pretty close, there.  Well, at least you're consistent.  Keep it rolling in.  And what about you?  Meeting your quota, I trust?  Ceraulian: Uh, actually, Boss, I...  Brugaire: Hm? Are you trying to tell me you haven't met your quota? You just had a baby, though, didn't you?  Probably costs a fortune keeping the little one fed.  Ceraulian: Y-yes, Boss.  Brugaire: You know what you need to do, right?  Ceraulian: Meet my quota, Boss!  Brugaire: Got it in one.  I'll givey ou a little more time this week.  But if this happens again, you and your kid'll be out on the street!  Ceraulian: Good Goddess...  Arminibit: What're you gonna do?  Have you got anyone you can go to?  Ceraulian: No, no one I can think of.  Gold hairpins are not that easy to get ahold of.  My family's gonna be begging in the alley at this rate.  Do you think that you could find me a gold hairpin?  I can't pay you anything, and I know it's a lot to ask... (y/n Sure, why not -or- I only work for cold, hard gil)  
-- 14 -- 0x000E -- Ceraulian: Do you think that you could find me a gold hairpin? y/n dialog (2nd part of main CS)
-- 13 -- 0x000D -- Ceraulian: Well, I'm not gonna hold my breath waiting for that gold hairpin... (3rd part of main CS)
-- 17 -- 0x0011 -- Ceraulian: You're gonna let me have this? I didn't think adventurers like you still existed.  The boss would do well to take a lesson in compassion from you... 
-- 3  -- 0x0003 -- Ceraulian: I hope my child will be sad when I leave this world... Dammit, I'm starting to tear up.  Gotta get back to work.
-- 7  -- 0x0007 -- Ceraulian: I'm glad the boss hasn't been hit too hard by the loss of his father, but you know... Arminibit: He has my sympathies.  Brugaire: Ouch, that still stings...  Arminibit: Boss, what happened to you?  Brugaire: After the funeral, I left with my father's inheritance, and then some scoundrel clouted me from behind.  When I woke up, a young lady was binding my wound, and my inheritance was gone.  Ceraulian: Are you sure you're all right?  And your inheritance, what of that...
-- 8  -- 0x0008 -- Ceraulian: The cad that mugged our boss must have been following him the whole time.  There must be someone who saw what happened.
-- 6  -- 0x0006 -- Ceraulian: The girl who tended to the boss after his attack picked up that shiny earring?  Hmm, I guess it could have belonged to his attacker...  
-- 9  -- 0x0009 -- Ceraulian: The person who attacked our boss must have lost their desire to live.  As soon as you find out who it is, the boss is gonna beat them to a pulp!
-- 15 -- 0x000F -- Ceraulian: You got it back? Good work! Let's go tell the boss. Rahal and Felippe involved in dialog...
-- 16 -- 0x0010 -- Ceraulian: Our boss is really a nice guy, but he's just a little awkward in expressing himself.  It's that quality that makes me wanna keep working for him. 
-- 19 -- 0x0013 -- Ceraulian: The boss has a question for you.  Wait here a moment.  Brugaire: There's something I forgot to ask.  Who the hell was the rogue that stole my father's inheritance?  
-- 23 -- 0x0017 -- Ceraulian: You've got nerve, keeping secrets from the boss... I think you'd be better off finding that treasure chest in the Kuftal Tunnel and getting back here as soon as possible! 
-- 20 -- 0x0014 -- Ceraulian: Huh, the chest was empty!?  All you found was some letter of defiance...? When the boss finds out, he's gonna hit the roof!  He hates to be made a fool of...
-- 22 -- 0x0016 -- Brugaire: I went down to the jail and beat the hell out of that Ancolain for making a fool out of me, but started to feel kinda ridiculous.  ....He's suffering plenty already.  I heard it all from Rahal.  He told me things got pretty tense out there.  But it's those kinds of situations that make life interesting, don't you think?
-- 21 -- 0x0015 -- Ceraulian: All this "last dragoon" business has tired me out, but at least it's never dull around here! Keeps me motivated, even if meeting my quota can be stressful at times.
-- 587 - 0x024B -- Ceraulian: Come on, man, I think we're a little over our heads here! Someone big over in Jeuno gave that to commemorate...  H-hey! Who are you?  I don't what you heard, but this is Brugaire Consortium business!  Top secret.  Get lost.
